org.jetlang.remote.acceptor

## Class SerializerAdapter

- java.lang.Object
- - org.jetlang.remote.acceptor.SerializerAdapter

    public class SerializerAdapter
    extends Object

User: mrettig Date: 11/29/11 Time: 9:25 AM

### Constructor Summary

Constructors
Constructor and Description
`SerializerAdapter(SerializerFactory ser)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BufferedSerializer` `createBuffered()`
`Serializer` `createForSocket(TcpSocket socket)`
`Charset` `getCharset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializerAdapter

    public SerializerAdapter(SerializerFactory ser)

### Method Detail

#### createBuffered

    public BufferedSerializer createBuffered()

#### getCharset

    public Charset getCharset()

#### createForSocket

    public Serializer createForSocket(TcpSocket socket)